Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.build.interactive.completors
[Java] Class StringsCompleter

    java.lang.Object
      grails.build.interactive.completors.StringsCompleter

All Implemented Interfaces:
  jline.console.completer.Completer

    public class StringsCompleter
    extends java.lang.Object

Authors:
  Graeme Rocher

Constructor Summary
`StringsCompleter()`
`StringsCompleter(java.util.Collection strings)`
`StringsCompleter(java.lang.String... strings)`

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List candidates)`
`java.util.SortedSet` | `getStrings()`
`void` | `setStrings(java.util.SortedSet strings)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StringsCompleter

    public StringsCompleter()

### StringsCompleter

    public StringsCompleter(java.util.Collection strings)

### StringsCompleter

    public StringsCompleter(java.lang.String... strings)

Method Detail

### complete

    public int complete(java.lang.String buffer, int cursor, java.util.List candidates)

### getStrings

    public java.util.SortedSet getStrings()

### setStrings

    public void setStrings(java.util.SortedSet strings)

Groovy Documentation